package com.jxml.quick.util.qjml2java;
import com.jxml.quick.model.qjml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QJML data.
 */
public class QCLink extends OCMpeerSupport {
    /**
     * User-provided code to perform the conversion.
     */
    public void cvt(Object param) throws SAXException, IOException {
        QMLink ed = (QMLink)dataModel;
	Conv.SubConv conv=(Conv.SubConv)context;
        if (conv.done.get(ed.coin) == null) {
            doCvt(ed.mCoin,null);
            //System.err.println("added coin " + ed.coin);
        } else {
	    addStringAttribute("href","#"+ed.coin);
	    emptyElement("link");
            //System.err.println("added link to " + ed.coin);
        }
    }
}
